## pyiskra 0.1.21

=== requirements.txt ===
aiohttp
pymodbus==3.9.2

=== debian/changelog ===
pyiskra (0.1.21-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Mon, 30 Jun 2025 17:22:47 +0100

pyiskra (0.1.21-1) unstable; urgency=medium

  * Initial release. (Closes: #1107665)

 -- Edward Betts <edward@4angle.com>  Wed, 11 Jun 2025 16:55:04 +0100

=== debian/control ===
Source: pyiskra
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-aiohttp <!nocheck>,
 python3-pymodbus <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://github.com/Iskramis/pyiskra
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pyiskra
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/pyiskra.git
Testsuite: autopkgtest-pkg-pybuild

Package: python3-pyiskra
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Interface for Iskra devices using SG and RestAPI or ModbusTCP/RTU
 This library provides an interface to connect with and manage Iskra devices
 using Smart Gateway interfaces, RestAPI, or ModbusTCP/RTU protocols. It offers
 object-oriented mapping for energy meters, enabling detailed access to
 measurement data and energy counters. Users can interact with supported
 devices such as Smart Gateway, IE38, IE14, MCXXX, iMCXXX, MTXXX, and iMTXXX.
 The library facilitates retrieving and updating status information from
 connected devices, supporting features like measurements and counters.
 Measurements include voltage, current, active power, reactive power, apparent
 power, power factor, power angle, and total harmonic distortion for both
 voltage and current. Counters provide data on resettable and non-resettable
 energy usage.

=== debian/watch ===
version=4
https://github.com/Iskramis/pyiskra/tags .*/v?(\d\S+)\.tar\.gz

## pyiskra 0.1.23

=== debian/changelog ===
pyiskra (0.1.23-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Fri, 29 Aug 2025 12:13:44 +0100

## pyiskra 0.1.26

=== debian/changelog ===
pyiskra (0.1.26-1) unstable; urgency=medium

  * New upstream release.
  * Upstream changed from GPL to MIT, update copyright and change
    license of Debian files to match.

 -- Edward Betts <edward@4angle.com>  Tue, 02 Sep 2025 10:19:58 +0100

## pyiskra 0.1.27

=== debian/changelog ===
pyiskra (0.1.27-1) unstable; urgency=medium

  * New upstream release.
  * Remove 'Rules-Requires-Root: no', now the default.
  * Update debian/watch to format version 5.
  * Add debian/salsa-ci.yml.

 -- Edward Betts <edward@4angle.com>  Mon, 15 Sep 2025 20:24:27 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
 Build-Depends-Indep:
  python3-aiohttp <!nocheck>,
  python3-pymodbus <!nocheck>,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/Iskramis/pyiskra
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pyiskra

=== debian/watch ===
Version: 5

Template: Github
Owner: Iskramis
Project: pyiskra

## pyiskra 0.1.28

=== debian/changelog ===
pyiskra (0.1.28-1) unstable; urgency=medium

  * New upstream release.
  * Remove 'Priority: optional', now the default.
  * Update Standards-Version.
  * Update copyright year.

 -- Edward Betts <edward@4angle.com>  Tue, 03 Feb 2026 10:30:25 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders:
  Edward Betts <edward@4angle.com>,
 Section: python
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -13,7 +12,7 @@
 Build-Depends-Indep:
  python3-aiohttp <!nocheck>,
  python3-pymodbus <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/Iskramis/pyiskra
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pyiskra
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/pyiskra.git

## pyiskra 0.1.29

=== debian/changelog ===
pyiskra (0.1.29-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sat, 07 Feb 2026 09:24:31 +0000
